Name:		flashbench
Version:	72
Release:	%mkrel 2
Summary:	Bench-marking and analysis utility for flash devices
License:	GPLv2
Group:		System/Kernel and hardware
Url:		https://github.com/bradfa/flashbench.git
Source0:	%{name}-%{version}.tar.bz2
# Run ./mk-tar in SOURCES to generate tarball
Source1:	mk-tar

%description
Unfortunately flash manufacturers do not provide random speed, number of
open blocks and erase block size info, to help in deciding the optimum
partitioning strategy for a particular device.
Flashbench is a nice little command line application that can help in
finding this information for you, by checking the speeds achieved over
a range of settings. 
NOTE: This tool will cause loss of data on the device being tested and
should be used with caution. See:- /usr/share/doc/%{name}/README

%prep
%autosetup -p0 

%build
%make_build

%install
install -d -m 0755 %buildroot%{_bindir}
install -D -m 0755 erase %{buildroot}%{_bindir}
install -D -m 0755 %{name} %{buildroot}%{_bindir}

%files
%doc COPYING README
%{_bindir}/*


%changelog
* Thu Feb 20 2020 umeabot <umeabot> 72-2.mga8
+ Revision: 1545828
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 barjac <barjac> 72-1.mga8
+ Revision: 1485259
- new version 72
- fixed bug in mk-tar

* Sun Sep 23 2018 umeabot <umeabot> 71-2.mga7
+ Revision: 1297716
- Mageia 7 Mass Rebuild

* Fri Dec 29 2017 barjac <barjac> 71-1.mga7
+ Revision: 1187183
- new version 71
- removed patch fixed upstream

* Thu Feb 04 2016 umeabot <umeabot> 62-5.mga6
+ Revision: 935754
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 62-4.mga5
+ Revision: 744797
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 62-3.mga5
+ Revision: 679227
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 62-2.mga4
+ Revision: 531781
- Mageia 4 Mass Rebuild

* Sat Aug 10 2013 barjac <barjac> 62-1.mga4
+ Revision: 465321
- use git revision as version in line with debian
- update mk-tar for above

* Wed Jan 23 2013 fwang <fwang> 1.0-3.mga3
+ Revision: 391252
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 350489
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 barjac <barjac> 1.0-1.mga3
+ Revision: 311000
- imported package flashbench

